package com.cm.common.utils.configs;

import java.util.Properties;

/**
 * @program: cm-system-group
 * @description: 配置文件类
 * @author: WenG
 * @create: 2018-08-20 17:55
 **/
public class CfgUtil {

    public static final String BASE_PATH = CfgUtil.class.getClassLoader().getResource("/").getPath();

    /**
     * 读取配置文件
     *
     * @param fileName
     * @return
     */
    public static Properties getProperties(String fileName) {
        Properties properties = System.getProperties();
        System.load(BASE_PATH + fileName);
        return properties;
    }

    /**
     * 读取配置内容
     *
     * @param properties 配置文件
     * @param key        键值
     * @return
     */
    public static String getPropertiesValue(Properties properties, String key) {
        return getPropertiesValue(properties, key, null);
    }

    /**
     * 读取配置内容
     *
     * @param properties   配置文件
     * @param key          键值
     * @param defaultValue 默认值
     * @return
     */
    public static String getPropertiesValue(Properties properties, String key, String defaultValue) {
        return properties.getProperty(key, defaultValue);
    }

}
